curl --request POST \
--url https://api.brightdata.com/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": "serp_api1",
"url": "https://www.google.com/search?q=pizza",
"format": "json",
"method": "GET",
"country": "us",
"data_format": "markdown"
}
'import requests
url = "https://api.brightdata.com/request"
payload = {
"zone": "serp_api1",
"url": "https://www.google.com/search?q=pizza",
"format": "json",
"method": "GET",
"country": "us",
"data_format": "markdown"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
zone: 'serp_api1',
url: 'https://www.google.com/search?q=pizza',
format: 'json',
method: 'GET',
country: 'us',
data_format: 'markdown'
})
};
fetch('https://api.brightdata.com/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'zone' => 'serp_api1',
'url' => 'https://www.google.com/search?q=pizza',
'format' => 'json',
'method' => 'GET',
'country' => 'us',
'data_format' => 'markdown'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/request"
payload := strings.NewReader("{\n \"zone\": \"serp_api1\",\n \"url\": \"https://www.google.com/search?q=pizza\",\n \"format\": \"json\",\n \"method\": \"GET\",\n \"country\": \"us\",\n \"data_format\": \"markdown\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.brightdata.com/request")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"zone\": \"serp_api1\",\n \"url\": \"https://www.google.com/search?q=pizza\",\n \"format\": \"json\",\n \"method\": \"GET\",\n \"country\": \"us\",\n \"data_format\": \"markdown\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"zone\": \"serp_api1\",\n \"url\": \"https://www.google.com/search?q=pizza\",\n \"format\": \"json\",\n \"method\": \"GET\",\n \"country\": \"us\",\n \"data_format\": \"markdown\"\n}"
response = http.request(request)
puts response.read_body"OK""请求错误""需要用户认证"SERP API
使用Bright Data SERP API提取搜索引擎结果。从Google、Bing、Yandex、DuckDuckGo等主要搜索引擎提取结构化数据。
curl --request POST \
--url https://api.brightdata.com/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": "serp_api1",
"url": "https://www.google.com/search?q=pizza",
"format": "json",
"method": "GET",
"country": "us",
"data_format": "markdown"
}
'import requests
url = "https://api.brightdata.com/request"
payload = {
"zone": "serp_api1",
"url": "https://www.google.com/search?q=pizza",
"format": "json",
"method": "GET",
"country": "us",
"data_format": "markdown"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
zone: 'serp_api1',
url: 'https://www.google.com/search?q=pizza',
format: 'json',
method: 'GET',
country: 'us',
data_format: 'markdown'
})
};
fetch('https://api.brightdata.com/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'zone' => 'serp_api1',
'url' => 'https://www.google.com/search?q=pizza',
'format' => 'json',
'method' => 'GET',
'country' => 'us',
'data_format' => 'markdown'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/request"
payload := strings.NewReader("{\n \"zone\": \"serp_api1\",\n \"url\": \"https://www.google.com/search?q=pizza\",\n \"format\": \"json\",\n \"method\": \"GET\",\n \"country\": \"us\",\n \"data_format\": \"markdown\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.brightdata.com/request")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"zone\": \"serp_api1\",\n \"url\": \"https://www.google.com/search?q=pizza\",\n \"format\": \"json\",\n \"method\": \"GET\",\n \"country\": \"us\",\n \"data_format\": \"markdown\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"zone\": \"serp_api1\",\n \"url\": \"https://www.google.com/search?q=pizza\",\n \"format\": \"json\",\n \"method\": \"GET\",\n \"country\": \"us\",\n \"data_format\": \"markdown\"\n}"
response = http.request(request)
puts response.read_body"OK""请求错误""需要用户认证"Bright Data Python SDK
授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
查询参数
设置为 true 以异步执行
请求体
区域标识符,用于定义您的 Bright Data 产品配置。每个区域包含目标规则、输出偏好和访问权限。 管理区域: https://brightdata.com/cp/zones
"serp_api1"
要抓取的完整目标 URL。必须包含协议(http/https),并可公开访问。
"https://www.google.com/search?q=pizza"
响应格式:raw 返回 HTML 字符串,json 返回结构化数据。
raw, json "json"
通过代理请求 HTML 的方法为 GET。
"GET"
用于代理位置的两位 ISO 3166-1 国家代码(如 us、gb、de、ca、au)。如果未指定,系统会根据区域配置自动选择最佳位置。
国家代码列表: https://docs.brightdata.com/cn/general/faqs#where-can-i-see-the-list-of-country-codes
"us"
附加响应格式转换:markdown 将 HTML 转为干净的 Markdown,screenshot 截取页面 PNG 图片。
markdown, screenshot "markdown"
响应
OK
The response is of type string.
"OK"
此页面对您有帮助吗?